package com.chinaitop.depot.intelligent.basicdata.model;

import java.util.Date;

public class TDcsqtinfo {
    private String id;

    private String orgId;

    private String vDcsCode;

    private String vDcsName;

    private Integer iBeginTdh;

    private Integer iEndTdh;

    private String vZdCode;

    private String vCfCode;

    private String vRemark;

    private Date vUpdateTime;

    private String vUpdatePerson;

    /**
     * 气体信息表id 32位唯一编码
     * @return id 气体信息表id 32位唯一编码
     */
    public String getId() {
        return id;
    }

    /**
     * 气体信息表id 32位唯一编码
     * @param id 气体信息表id 32位唯一编码
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 库房编码
     * @return org_id 库房编码
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 库房编码
     * @param orgId 库房编码
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 设备code
     * @return v_dcs_code 设备code
     */
    public String getvDcsCode() {
        return vDcsCode;
    }

    /**
     * 设备code
     * @param vDcsCode 设备code
     */
    public void setvDcsCode(String vDcsCode) {
        this.vDcsCode = vDcsCode == null ? null : vDcsCode.trim();
    }

    /**
     * 设备名称
     * @return v_dcs_name 设备名称
     */
    public String getvDcsName() {
        return vDcsName;
    }

    /**
     * 设备名称
     * @param vDcsName 设备名称
     */
    public void setvDcsName(String vDcsName) {
        this.vDcsName = vDcsName == null ? null : vDcsName.trim();
    }

    /**
     * 开始通道
     * @return i_begin_tdh 开始通道
     */
    public Integer getiBeginTdh() {
        return iBeginTdh;
    }

    /**
     * 开始通道
     * @param iBeginTdh 开始通道
     */
    public void setiBeginTdh(Integer iBeginTdh) {
        this.iBeginTdh = iBeginTdh;
    }

    /**
     * 结束通道
     * @return i_end_tdh 结束通道
     */
    public Integer getiEndTdh() {
        return iEndTdh;
    }

    /**
     * 结束通道
     * @param iEndTdh 结束通道
     */
    public void setiEndTdh(Integer iEndTdh) {
        this.iEndTdh = iEndTdh;
    }

    /**
     * 站点code
     * @return v_zd_code 站点code
     */
    public String getvZdCode() {
        return vZdCode;
    }

    /**
     * 站点code
     * @param vZdCode 站点code
     */
    public void setvZdCode(String vZdCode) {
        this.vZdCode = vZdCode == null ? null : vZdCode.trim();
    }

    /**
     * 仓房code
     * @return v_cf_code 仓房code
     */
    public String getvCfCode() {
        return vCfCode;
    }

    /**
     * 仓房code
     * @param vCfCode 仓房code
     */
    public void setvCfCode(String vCfCode) {
        this.vCfCode = vCfCode == null ? null : vCfCode.trim();
    }

    /**
     * 描述
     * @return v_remark 描述
     */
    public String getvRemark() {
        return vRemark;
    }

    /**
     * 描述
     * @param vRemark 描述
     */
    public void setvRemark(String vRemark) {
        this.vRemark = vRemark == null ? null : vRemark.trim();
    }

    /**
     * 更新时间
     * @return v_update_time 更新时间
     */
    public Date getvUpdateTime() {
        return vUpdateTime;
    }

    /**
     * 更新时间
     * @param vUpdateTime 更新时间
     */
    public void setvUpdateTime(Date vUpdateTime) {
        this.vUpdateTime = vUpdateTime;
    }

    /**
     * 更新人
     * @return v_update_person 更新人
     */
    public String getvUpdatePerson() {
        return vUpdatePerson;
    }

    /**
     * 更新人
     * @param vUpdatePerson 更新人
     */
    public void setvUpdatePerson(String vUpdatePerson) {
        this.vUpdatePerson = vUpdatePerson == null ? null : vUpdatePerson.trim();
    }
}